﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.22.810dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.22.810dev/BraveSetup-x64.exe'
  checksum       = '24c1cdd42a7efaa7d5852e7db832898d4502534f30c1d4a181263e2c616db7d1'
  checksum64     = '5f056f07423e56eaf2d23e86d8d4e94670e328d5f0a8eb7fb618e94d2ba78e95'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
